/* AmiCheck Arexx support */
#ifndef AREXX_INC
#define AREXX_INC

#include <libraries/easyrexx.h>

/* commands */
enum {
	AREXX_OPEN=1,
	AREXX_SAVE,
	AREXX_QUIT,

	AREXX_GETRECORD,
	AREXX_GETBUDGET,

	AREXX_GETINFO,
	AREXX_SETINFO,

	AREXX_USERSEL,

	AREXX_EDITRECORD,
	AREXX_ADDBUDGET,
	AREXX_DELBUDGET,
	AREXX_DELRECORD,

	AREXX_BUILDRECORD,
	AREXX_BUILDBUDGET,
	AREXX_PUTRECORD,
/*	AREXX_RUNMACRO,*/

	AREXX_LOCK,
	AREXX_UNLOCK,
	AREXX_REBUILD,
};

/* gui */
enum {
	GID_AXLABEL1,
	GID_AXFILE1,
	GID_AXGETFILE1,
	GID_AXLABEL2,
	GID_AXFILE2,
	GID_AXGETFILE2,
	GID_AXLABEL3,
	GID_AXFILE3,
	GID_AXGETFILE3,
	GID_AXLABEL4,
	GID_AXFILE4,
	GID_AXGETFILE4,
	GID_AXLABEL5,
	GID_AXFILE5,
	GID_AXGETFILE5,
	GID_AXLABEL6,
	GID_AXFILE6,
	GID_AXGETFILE6,
	GID_AXLABEL7,
	GID_AXFILE7,
	GID_AXGETFILE7,
	GID_AXLABEL8,
	GID_AXFILE8,
	GID_AXGETFILE8,
	GID_AXLABEL9,
	GID_AXFILE9,
	GID_AXGETFILE9,
	GID_AXLABEL10,
	GID_AXFILE10,
	GID_AXGETFILE10,
	GID_AXOK,
	GID_AXCANCEL,
};

extern struct ARexxContext *axContext;
extern GadgetSpec *AX_ArexxSpecs[];
extern ULONG AX_ArexxPanel[];
extern GUIFront *arexxGUI;

BOOL ArexxGUI(void);

BOOL axOpen(void);
BOOL axClose(void);
BOOL axHandle(struct ARexxContext *);
void axOpenCmd(void);
void axCloseCmd(void);

#endif
