#ifndef KEYPANEL_H
#define KEYPANEL_H

/************************************************************************
*   keyPanel.h:
*   global externs for key panel
*   
*************************************************************************/

/* key structure */
typedef struct {
	unsigned int id;
	unsigned int verify;
	char id_name[STRINGSIZE];
} usrkey;

extern usrkey usrKey, *ptrKey;

/* gadget enumerations */
enum
{
    GID_KEYID,
    GID_KEYNAME,
    GID_KEYCANCEL,
    GID_KEYREG,
};
             
/* layout structures */
extern GadgetSpec *KEY_KeySpecs[];
extern ULONG KEY_KeyPanel[];
extern GUIFront *keyGUI;
extern BOOL KeyWriteFile(usrkey *);
extern BOOL KeyReadFile(void);
extern void KeyVerify(usrkey *);
extern BOOL KeyCheck(void);
 
void KeyGUI(void);                         
#endif
